package cn.axzo.msg.center.service.enums;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 自定义按钮类型
 *
 * @author cold_blade
 * @date 2023/9/20
 * @version 1.0
 */
@Getter
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public enum RouterCategoryEnum {

    /**
     * 直接跳转
     */
    JUMP("直接跳转"),
    /**
     * 接口调用
     */
    ACTION("接口调用"),
    /**
     * 预设按钮
     */
    PRESET_BUTTON("预设按钮"),
    ;

    private final String desc;

}
